## r-bioc-delayedmatrixstats 1.12.3+ds

=== DESCRIPTION ===
Package: DelayedMatrixStats
Type: Package
Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
        Objects
Version: 1.12.3
Date: 2020-02-02
Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
    email = "peter.hickey@gmail.com"),
    person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
    person("Aaron", "Lun", role = "ctb", email = "infinite.monkeys.with.keyboards@gmail.com"))
Description: A port of the 'matrixStats' API for use with DelayedMatrix objects 
  from the 'DelayedArray' package. High-performing functions operating on rows 
  and columns of DelayedMatrix objects, e.g. col / rowMedians(), 
  col / rowRanks(), and col / rowSds(). Functions optimized per data type and 
  for subsetted calculations such that both memory usage and processing time is 
  minimized.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Depends: MatrixGenerics, DelayedArray (>= 0.15.3)
Imports: methods, matrixStats (>= 0.56.0), sparseMatrixStats, Matrix,
        S4Vectors (>= 0.17.5), IRanges, HDF5Array (>= 1.17.2),
        BiocParallel
Suggests: testthat, knitr, rmarkdown, covr, BiocStyle, microbenchmark,
        profmem
VignetteBuilder: knitr
URL: https://github.com/PeteHaitch/DelayedMatrixStats
BugReports: https://github.com/PeteHaitch/DelayedMatrixStats/issues
biocViews: Infrastructure, DataRepresentation, Software
git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
git_branch: RELEASE_3_12
git_last_commit: 81b5218
git_last_commit_date: 2021-02-02
Date/Publication: 2021-02-03
NeedsCompilation: no
Packaged: 2021-02-03 23:49:26 UTC; biocbuild
Author: Peter Hickey [aut, cre],
  Hervé Pagès [ctb],
  Aaron Lun [ctb]
Maintainer: Peter Hickey <peter.hickey@gmail.com>

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.12.3+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 06 Feb 2021 15:45:48 +0100

r-bioc-delayedmatrixstats (1.12.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 17 Jan 2021 10:14:20 +0100

r-bioc-delayedmatrixstats (1.12.1+ds-3) unstable; urgency=medium

  * Team upload.
  * patch Description so that the generated binary package also requires
    r-cran-matrix >= 1.3-2

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Jan 2021 11:24:26 +0100

r-bioc-delayedmatrixstats (1.12.1+ds-2) unstable; urgency=medium

  * Team upload.
  * debian/control: depend on newer r-cran-matrix to fix failing tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Jan 2021 09:35:18 +0100

r-bioc-delayedmatrixstats (1.12.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debian/tests/control: skip-not-installable

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 30 Nov 2020 12:42:50 +0100

r-bioc-delayedmatrixstats (1.12.0+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version

  [ Michael R. Crusoe ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 17 Nov 2020 12:40:46 +0100

r-bioc-delayedmatrixstats (1.10.1+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 13:34:29 +0200

r-bioc-delayedmatrixstats (1.10.1+ds-1) unstable; urgency=medium

  * Initial release (closes: #966547)

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Jun 2020 19:44:59 +0200

=== debian/control ===
Source: r-bioc-delayedmatrixstats
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-matrixgenerics,
               r-bioc-delayedarray (>= 0.15.3),
               r-cran-matrixstats (>= 0.56.0),
               r-bioc-sparsematrixstats,
               r-cran-matrix,
               r-bioc-s4vectors (>= 0.17.5),
               r-bioc-iranges,
               r-bioc-hdf5array,
               r-bioc-biocparallel
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats.git
Homepage: https://bioconductor.org/packages/DelayedMatrixStats/
Rules-Requires-Root: no

Package: r-bioc-delayedmatrixstats
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Functions on Rows and Columns of 'DelayedMatrix' Objects
 A port of the 'matrixStats' API for use with DelayedMatrix objects
 from the 'DelayedArray' package. High-performing functions operating on rows
 and columns of DelayedMatrix objects, e.g. col / rowMedians(),
 col / rowRanks(), and col / rowSds(). Functions optimized per data type and
 for subsetted calculations such that both memory usage and processing time is
 minimized.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr,skip-not-installable

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/DelayedMatrixStats.html .*/DelayedMatrixStats_(.*).tar.gz

## r-bioc-delayedmatrixstats 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
         Objects
-Version: 1.12.3
-Date: 2020-02-02
+Version: 1.16.0
+Date: 2021-08-26
 Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
     email = "peter.hickey@gmail.com"),
     person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
@@ -16,26 +16,24 @@
   minimized.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.1.1
-Depends: MatrixGenerics, DelayedArray (>= 0.15.3)
-Imports: methods, matrixStats (>= 0.56.0), sparseMatrixStats, Matrix,
-        S4Vectors (>= 0.17.5), IRanges, HDF5Array (>= 1.17.2),
-        BiocParallel
+Depends: MatrixGenerics (>= 1.5.3), DelayedArray (>= 0.17.6)
+Imports: methods, matrixStats (>= 0.60.0), sparseMatrixStats, Matrix,
+        S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
 Suggests: testthat, knitr, rmarkdown, covr, BiocStyle, microbenchmark,
-        profmem
+        profmem, HDF5Array
 VignetteBuilder: knitr
 URL: https://github.com/PeteHaitch/DelayedMatrixStats
 BugReports: https://github.com/PeteHaitch/DelayedMatrixStats/issues
 biocViews: Infrastructure, DataRepresentation, Software
 git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
-git_branch: RELEASE_3_12
-git_last_commit: 81b5218
-git_last_commit_date: 2021-02-02
-Date/Publication: 2021-02-03
+git_branch: RELEASE_3_14
+git_last_commit: d44a3d7
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2021-02-03 23:49:26 UTC; biocbuild
+Packaged: 2021-10-26 21:18:09 UTC; biocbuild
 Author: Peter Hickey [aut, cre],
   Hervé Pagès [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Test-Depends: r-bioc-hdf5array
  * Disable reprotest
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:07:52 +0100

r-bioc-delayedmatrixstats (1.14.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-s4vectors.
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 11:51:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics,
-               r-bioc-delayedarray (>= 0.15.3),
-               r-cran-matrixstats (>= 0.56.0),
+               r-bioc-matrixgenerics (>= 1.5.3),
+               r-bioc-delayedarray (>= 0.17.6),
+               r-cran-matrixstats (>= 0.60.0),
                r-bioc-sparsematrixstats,
                r-cran-matrix,
-               r-bioc-s4vectors (>= 0.17.5),
-               r-bioc-iranges,
-               r-bioc-hdf5array,
-               r-bioc-biocparallel
-Standards-Version: 4.5.1
+               r-bioc-s4vectors,
+               r-bioc-iranges (>= 2.25.10)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats.git
 Homepage: https://bioconductor.org/packages/DelayedMatrixStats/

## r-bioc-delayedmatrixstats 1.18.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
         Objects
-Version: 1.16.0
+Version: 1.18.0
 Date: 2021-08-26
 Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
     email = "peter.hickey@gmail.com"),
@@ -28,12 +28,12 @@
 BugReports: https://github.com/PeteHaitch/DelayedMatrixStats/issues
 biocViews: Infrastructure, DataRepresentation, Software
 git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
-git_branch: RELEASE_3_14
-git_last_commit: d44a3d7
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 50c9aab
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:18:09 UTC; biocbuild
+Packaged: 2022-04-26 20:29:24 UTC; biocbuild
 Author: Peter Hickey [aut, cre],
   Hervé Pagès [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.18.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 21:50:15 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-matrix,
                r-bioc-s4vectors,
                r-bioc-iranges (>= 2.25.10)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats.git
 Homepage: https://bioconductor.org/packages/DelayedMatrixStats/

## r-bioc-delayedmatrixstats 1.20.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
         Objects
-Version: 1.18.0
-Date: 2021-08-26
+Version: 1.20.0
+Date: 2022-10-12
 Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
     email = "peter.hickey@gmail.com"),
     person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
@@ -19,8 +19,8 @@
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.1.1
 Depends: MatrixGenerics (>= 1.5.3), DelayedArray (>= 0.17.6)
-Imports: methods, matrixStats (>= 0.60.0), sparseMatrixStats, Matrix,
-        S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
+Imports: methods, matrixStats (>= 0.60.0), sparseMatrixStats, Matrix
+        (>= 1.5-0), S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
 Suggests: testthat, knitr, rmarkdown, covr, BiocStyle, microbenchmark,
         profmem, HDF5Array
 VignetteBuilder: knitr
@@ -28,12 +28,12 @@
 BugReports: https://github.com/PeteHaitch/DelayedMatrixStats/issues
 biocViews: Infrastructure, DataRepresentation, Software
 git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
-git_branch: RELEASE_3_15
-git_last_commit: 50c9aab
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 1ed1425
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:29:24 UTC; biocbuild
+Packaged: 2022-11-01 21:22:30 UTC; biocbuild
 Author: Peter Hickey [aut, cre],
   Hervé Pagès [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:11:22 +0100

r-bioc-delayedmatrixstats (1.18.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 15:15:03 +0200

r-bioc-delayedmatrixstats (1.18.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Fix separator in version number of Matrix

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 09:41:00 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-bioc-delayedarray (>= 0.17.6),
                r-cran-matrixstats (>= 0.60.0),
                r-bioc-sparsematrixstats,
-               r-cran-matrix,
+               r-cran-matrix (>= 1.5-0),
                r-bioc-s4vectors,
                r-bioc-iranges (>= 2.25.10)
 Standards-Version: 4.6.1

## r-bioc-delayedmatrixstats 1.22.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
         Objects
-Version: 1.20.0
-Date: 2022-10-12
+Version: 1.22.1
+Date: 2023-06-06
 Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
     email = "peter.hickey@gmail.com"),
     person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
@@ -17,10 +17,10 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.1.1
-Depends: MatrixGenerics (>= 1.5.3), DelayedArray (>= 0.17.6)
-Imports: methods, matrixStats (>= 0.60.0), sparseMatrixStats, Matrix
-        (>= 1.5-0), S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
+RoxygenNote: 7.2.3
+Depends: MatrixGenerics (>= 1.12.1), DelayedArray (>= 0.17.6)
+Imports: methods, matrixStats (>= 1.0.0), sparseMatrixStats, Matrix (>=
+        1.5-0), S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
 Suggests: testthat, knitr, rmarkdown, covr, BiocStyle, microbenchmark,
         profmem, HDF5Array
 VignetteBuilder: knitr
@@ -28,12 +28,12 @@
 BugReports: https://github.com/PeteHaitch/DelayedMatrixStats/issues
 biocViews: Infrastructure, DataRepresentation, Software
 git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
-git_branch: RELEASE_3_16
-git_last_commit: 1ed1425
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: e5b5675
+git_last_commit_date: 2023-06-08
+Date/Publication: 2023-06-09
 NeedsCompilation: no
-Packaged: 2022-11-01 21:22:30 UTC; biocbuild
+Packaged: 2023-06-09 20:29:44 UTC; biocbuild
 Author: Peter Hickey [aut, cre],
   Hervé Pagès [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.22.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 18:03:35 +0200

## r-bioc-delayedmatrixstats 1.22.5+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
         Objects
-Version: 1.22.1
-Date: 2023-06-06
+Version: 1.22.5
+Date: 2023-08-10
 Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
     email = "peter.hickey@gmail.com"),
     person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
@@ -29,11 +29,11 @@
 biocViews: Infrastructure, DataRepresentation, Software
 git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
 git_branch: RELEASE_3_17
-git_last_commit: e5b5675
-git_last_commit_date: 2023-06-08
-Date/Publication: 2023-06-09
+git_last_commit: de28dad
+git_last_commit_date: 2023-08-09
+Date/Publication: 2023-08-10
 NeedsCompilation: no
-Packaged: 2023-06-09 20:29:44 UTC; biocbuild
+Packaged: 2023-08-10 20:36:25 UTC; biocbuild
 Author: Peter Hickey [aut, cre],
   Hervé Pagès [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.22.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 16 Aug 2023 09:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics (>= 1.5.3),
+               r-bioc-matrixgenerics (>= 1.12.1),
                r-bioc-delayedarray (>= 0.17.6),
-               r-cran-matrixstats (>= 0.60.0),
+               r-cran-matrixstats (>= 1.0.0),
                r-bioc-sparsematrixstats,
                r-cran-matrix (>= 1.5-0),
                r-bioc-s4vectors,
                r-bioc-iranges (>= 2.25.10)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats.git
 Homepage: https://bioconductor.org/packages/DelayedMatrixStats/

## r-bioc-delayedmatrixstats 1.22.6+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
         Objects
-Version: 1.22.5
-Date: 2023-08-10
+Version: 1.22.6
+Date: 2023-08-26
 Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
     email = "peter.hickey@gmail.com"),
     person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
@@ -18,7 +18,7 @@
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.2.3
-Depends: MatrixGenerics (>= 1.12.1), DelayedArray (>= 0.17.6)
+Depends: MatrixGenerics (>= 1.12.1), DelayedArray (>= 0.26.7)
 Imports: methods, matrixStats (>= 1.0.0), sparseMatrixStats, Matrix (>=
         1.5-0), S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
 Suggests: testthat, knitr, rmarkdown, covr, BiocStyle, microbenchmark,
@@ -29,11 +29,11 @@
 biocViews: Infrastructure, DataRepresentation, Software
 git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
 git_branch: RELEASE_3_17
-git_last_commit: de28dad
-git_last_commit_date: 2023-08-09
-Date/Publication: 2023-08-10
+git_last_commit: 7f082bf
+git_last_commit_date: 2023-08-27
+Date/Publication: 2023-08-28
 NeedsCompilation: no
-Packaged: 2023-08-10 20:36:25 UTC; biocbuild
+Packaged: 2023-08-28 20:30:24 UTC; biocbuild
 Author: Peter Hickey [aut, cre],
   Hervé Pagès [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.22.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 10:06:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-bioc-matrixgenerics (>= 1.12.1),
-               r-bioc-delayedarray (>= 0.17.6),
+               r-bioc-delayedarray (>= 0.26.7),
                r-cran-matrixstats (>= 1.0.0),
                r-bioc-sparsematrixstats,
                r-cran-matrix (>= 1.5-0),

## r-bioc-delayedmatrixstats 1.24.0+ds

=== DESCRIPTION ===
Package: DelayedMatrixStats
Type: Package
Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
        Objects
Version: 1.24.0
Date: 2023-10-12
Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
    email = "peter.hickey@gmail.com", comment = c(ORCID = "0000-0002-8153-6258")),
    person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
    person("Aaron", "Lun", role = "ctb", email = "infinite.monkeys.with.keyboards@gmail.com"))
Description: A port of the 'matrixStats' API for use with DelayedMatrix objects 
  from the 'DelayedArray' package. High-performing functions operating on rows 
  and columns of DelayedMatrix objects, e.g. col / rowMedians(), 
  col / rowRanks(), and col / rowSds(). Functions optimized per data type and 
  for subsetted calculations such that both memory usage and processing time is 
  minimized.
License: MIT + file LICENSE
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.3
Depends: MatrixGenerics (>= 1.13.1), DelayedArray (>= 0.27.10)
Imports: methods, sparseMatrixStats (>= 1.13.2), Matrix (>= 1.5-0),
        S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
Suggests: testthat, knitr, rmarkdown, BiocStyle, microbenchmark,
        profmem, HDF5Array, matrixStats (>= 1.0.0)
VignetteBuilder: knitr
URL: https://github.com/PeteHaitch/DelayedMatrixStats
BugReports: https://github.com/PeteHaitch/DelayedMatrixStats/issues
biocViews: Infrastructure, DataRepresentation, Software
git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
git_branch: RELEASE_3_18
git_last_commit: 8fb9c6e
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
NeedsCompilation: no
Packaged: 2023-10-24 20:59:02 UTC; biocbuild
Author: Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),
  Hervé Pagès [ctb],
  Aaron Lun [ctb]
Maintainer: Peter Hickey <peter.hickey@gmail.com>

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.24.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 02:01:09 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics (>= 1.12.1),
-               r-bioc-delayedarray (>= 0.26.7),
-               r-cran-matrixstats (>= 1.0.0),
-               r-bioc-sparsematrixstats,
+               r-bioc-matrixgenerics (>= 1.13.1),
+               r-bioc-delayedarray (>= 0.27.10),
+               r-bioc-sparsematrixstats (>= 1.13.2),
                r-cran-matrix (>= 1.5-0),
                r-bioc-s4vectors,
                r-bioc-iranges (>= 2.25.10)

## r-bioc-delayedmatrixstats 1.26.0+ds

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.26.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:09:38 +0200

r-bioc-delayedmatrixstats (1.26.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 18:18:57 +0200

r-bioc-delayedmatrixstats (1.26.0+ds-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 20:36:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics (>= 1.13.1),
-               r-bioc-delayedarray (>= 0.27.10),
-               r-bioc-sparsematrixstats (>= 1.13.2),
+               r-bioc-matrixgenerics (>= 1.16.0),
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-sparsematrixstats (>= 1.16.0),
                r-cran-matrix (>= 1.5-0),
-               r-bioc-s4vectors,
-               r-bioc-iranges (>= 2.25.10)
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats.git
@@ -22,9 +22,17 @@
 Package: r-bioc-delayedmatrixstats
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-matrixgenerics (>= 1.16.0),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-sparsematrixstats (>= 1.16.0),
+         r-cran-matrix (>= 1.5-0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>=  2.32.1),
+          r-bioc-hdf5array (>= 1.32.0)
 Description: Functions on Rows and Columns of 'DelayedMatrix' Objects
  A port of the 'matrixStats' API for use with DelayedMatrix objects
  from the 'DelayedArray' package. High-performing functions operating on rows

## r-bioc-delayedmatrixstats 1.28.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Functions that Apply to Rows and Columns of 'DelayedMatrix'
         Objects
-Version: 1.24.0
-Date: 2023-10-12
+Version: 1.28.1
+Date: 2025-01-09
 Authors@R: c(person("Peter", "Hickey", role = c("aut", "cre"),
     email = "peter.hickey@gmail.com", comment = c(ORCID = "0000-0002-8153-6258")),
     person("Hervé", "Pagès", role = "ctb", email = "hpages.on.github@gmail.com"),
@@ -17,10 +17,11 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.3
-Depends: MatrixGenerics (>= 1.13.1), DelayedArray (>= 0.27.10)
+RoxygenNote: 7.3.2
+Depends: MatrixGenerics (>= 1.15.1), DelayedArray (>= 0.31.7)
 Imports: methods, sparseMatrixStats (>= 1.13.2), Matrix (>= 1.5-0),
-        S4Vectors (>= 0.17.5), IRanges (>= 2.25.10)
+        S4Vectors (>= 0.17.5), IRanges (>= 2.25.10), SparseArray (>=
+        1.5.19)
 Suggests: testthat, knitr, rmarkdown, BiocStyle, microbenchmark,
         profmem, HDF5Array, matrixStats (>= 1.0.0)
 VignetteBuilder: knitr
@@ -28,12 +29,13 @@
 BugReports: https://github.com/PeteHaitch/DelayedMatrixStats/issues
 biocViews: Infrastructure, DataRepresentation, Software
 git_url: https://git.bioconductor.org/packages/DelayedMatrixStats
-git_branch: RELEASE_3_18
-git_last_commit: 8fb9c6e
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_20
+git_last_commit: 7915324
+git_last_commit_date: 2025-01-08
+Repository: Bioconductor 3.20
+Date/Publication: 2025-01-09
 NeedsCompilation: no
-Packaged: 2023-10-24 20:59:02 UTC; biocbuild
+Packaged: 2025-01-09 22:14:15 UTC; biocbuild
 Author: Peter Hickey [aut, cre] (<https://orcid.org/0000-0002-8153-6258>),
   Hervé Pagès [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-delayedmatrixstats (1.28.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:07:56 +0100

r-bioc-delayedmatrixstats (1.28.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 21:44:28 +0100

r-bioc-delayedmatrixstats (1.28.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 18:00:19 +0100

=== debian/control ===
Source: r-bioc-delayedmatrixstats
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-matrixgenerics (>= 1.15.1),
               r-bioc-delayedarray (>= 0.31.7),
               r-bioc-sparsematrixstats (>= 1.13.2),
               r-cran-matrix (>= 1.5-0),
               r-bioc-s4vectors,
               r-bioc-iranges (>= 2.25.10),
               r-bioc-sparsearray (>= 1.5.19)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedmatrixstats.git
Homepage: https://bioconductor.org/packages/DelayedMatrixStats/
Rules-Requires-Root: no

Package: r-bioc-delayedmatrixstats
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Functions on Rows and Columns of 'DelayedMatrix' Objects
 A port of the 'matrixStats' API for use with DelayedMatrix objects
 from the 'DelayedArray' package. High-performing functions operating on rows
 and columns of DelayedMatrix objects, e.g. col / rowMedians(),
 col / rowRanks(), and col / rowSds(). Functions optimized per data type and
 for subsetted calculations such that both memory usage and processing time is
 minimized.
